import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
      'https://gist.githubusercontent.com/JCarpenter-WPI/158283f82eb03f1b9f81daac7669402e/raw/NACRO%2520tiers%2520with%2520CW%2520price%2520and%2520earnings.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Price = +d.Price;
      d.Earnings = +d.Earnings;
      d.Tier = +d.Tier;
    return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};